API referenceOperations
Start a long-running operation
POST
/operationsAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/operations" \ -H "Content-Type: application/json" \ -d '{ "kind": "sponsor-detection", "input": { "videoYoutubeIds": [ "string" ] } }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "sponsor-detection", "status": "queued", "progress": { "current": 0, "total": 0, "percent": 0, "phase": "string", "message": "string" }, "result": { "ref": "string" }, "error": { "code": "string", "message": "string" }, "callback": { "url": "string", "events": [ "progress" ], "payloadFormat": "event", "signingEnabled": true }, "createdAt": "string", "startedAt": "string", "updatedAt": "string", "completedAt": "string"}